Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361308 - [Ansible Tower] Unable to add provider - Add button not clickable
Summary: [Ansible Tower] Unable to add provider - Add button not clickable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.6.1
Assignee: Harpreet Kataria
QA Contact: Pavol Kotvan
URL:
Whiteboard: ui:tower:foreman
Depends On: 1361045
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 18:22 UTC by John Prause
Modified: 2016-08-18 18:00 UTC (History)
8 users (show)

Fixed In Version: 5.6.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1361045
Environment:
Last Closed: 2016-08-18 18:00:27 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1634 normal SHIPPED_LIVE Important: CFME 5.6.1 security, bug fix, and enhancement update 2016-08-18 21:43:52 UTC

Comment 2 CFME Bot 2016-07-28 20:56:11 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7da0a0c70debaa1a8ff423fae858032b0b3f2be6

commit 7da0a0c70debaa1a8ff423fae858032b0b3f2be6
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jul 28 14:42:17 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Jul 28 15:13:05 2016 -0400

    Populate read only Zone text field when there is only 1 zone in region
    
    Fixed code path that deals with showing zone name as readonly text field when user has only 1 zone in their region, text field was not getting populated and was marked as required field which was causing Add button to remain disabled. Adjusted/fixed failing spec test.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1361045
    https://bugzilla.redhat.com/show_bug.cgi?id=1361308

 .../provider_foreman_form_controller.js            | 28 +++++----
 app/controllers/provider_foreman_controller.rb     |  5 ++
 .../provider_foreman_form_controller_spec.js       | 70 ++++++++++------------
 3 files changed, 52 insertions(+), 51 deletions(-)

Comment 4 Harpreet Kataria 2016-08-03 20:43:30 UTC
Pavol,

I am sending this BZ to POST as originally reported issue in this BZ has already been fixed. Support to enforce validation of credentials before adding a provider has not been added for Tower providers and middleware providers. Please open an RFE to address that in a separate BZ.

Thanks,
~Harpreet

Comment 8 errata-xmlrpc 2016-08-18 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html


Note You need to log in before you can comment on or make changes to this bug.